%define ghc_ver %(ghc --numeric-version)
%define pkg_name %(echo %name | sed "s|^ghc-||")

Name:          ghc-commonmark-pandoc
Version:       0.2.1.3
Release:       2mamba
Summary:       GHC commonmark-pandoc: Bridge between commonmark and pandoc AST
Group:         Development/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://hackage.haskell.org/package/%pkg_name
Source:        https://hackage.haskell.org/package/commonmark-pandoc-%{version}/commonmark-pandoc-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: ghc-OneTuple-devel
BuildRequires: ghc-QuickCheck-devel
BuildRequires: ghc-StateVar-devel
BuildRequires: ghc-aeson-devel
BuildRequires: ghc-assoc-devel
BuildRequires: ghc-base-orphans-devel
BuildRequires: ghc-bifunctors-devel
BuildRequires: ghc-commonmark-devel
BuildRequires: ghc-commonmark-extensions-devel
BuildRequires: ghc-comonad-devel
BuildRequires: ghc-contravariant-devel
BuildRequires: ghc-data-fix-devel
BuildRequires: ghc-distributive-devel
BuildRequires: ghc-dlist-devel
BuildRequires: ghc-emojis-devel
BuildRequires: ghc-foldable1-classes-compat-devel
BuildRequires: ghc-generically-devel
BuildRequires: ghc-hashable-devel
BuildRequires: ghc-indexed-traversable-devel
BuildRequires: ghc-indexed-traversable-instances-devel
BuildRequires: ghc-integer-conversion-devel
BuildRequires: ghc-integer-logarithms-devel
BuildRequires: ghc-libs
BuildRequires: ghc-network-uri-devel
BuildRequires: ghc-pandoc-types-devel
BuildRequires: ghc-primitive-devel
BuildRequires: ghc-random-devel
BuildRequires: ghc-scientific-devel
BuildRequires: ghc-semialign-devel
BuildRequires: ghc-semigroupoids-devel
BuildRequires: ghc-splitmix-devel
BuildRequires: ghc-strict-devel
BuildRequires: ghc-syb-devel
BuildRequires: ghc-tagged-devel
BuildRequires: ghc-text-iso8601-devel
BuildRequires: ghc-text-short-devel
BuildRequires: ghc-th-abstraction-devel
BuildRequires: ghc-th-compat-devel
BuildRequires: ghc-these-devel
BuildRequires: ghc-time-compat-devel
BuildRequires: ghc-transformers-compat-devel
BuildRequires: ghc-unicode-data-devel
BuildRequires: ghc-unicode-transforms-devel
BuildRequires: ghc-unordered-containers-devel
BuildRequires: ghc-uuid-types-devel
BuildRequires: ghc-vector-devel
BuildRequires: ghc-vector-stream-devel
BuildRequires: ghc-witherable-devel
BuildRequires: glibc-devel
BuildRequires: libgmp-devel
## AUTOBUILDREQ-END
BuildRequires: ghc
BuildRequires: ghc-rpm-macros
BuildRequires: ghc-aeson-devel >= 2.2.1.0-2mamba
BuildRequires: ghc-pandoc-types >= 1.23.1-2mamba
Requires:      ghc = %{ghc_ver}

%description
%{summary}.

%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-static%{?_isa} = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%if %{with haddock}
%package doc
Summary:        Haskell %{pkg_name} library documentation
Requires:       ghc-filesystem

%description doc
This package provides the Haskell %{pkg_name} library documentation.
%endif

%prep
%setup -q -n commonmark-pandoc-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

rm -f %{buildroot}%{_ghclicensedir}/%{name}/LICENSE

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.files
%defattr(-,root,root)
%license LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root)
#%doc CHANGELOG.markdown README.markdown

%if %{with haddock}
%files doc -f %{name}-doc.files
%defattr(-,root,root)
%license LICENSE
%endif

%changelog
* Sun Dec 03 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.1.3-2mamba
- rebuilt without ghc-excepions-devel

* Sat Dec 02 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.1.3-1mamba
- package created using the webbuild interface
